%define name pan
%define version 0.10.0
%define release 5mdk

Summary:	A USENET newsreader for GNOME
Name:		%{name}
Version:	%{version}
Release:	%{release}
Packager:	Renaud Chaillat <rchaillat@mandrakesoft.com>
Epoch:		1
License:	GPL
Group:		Networking/News
URL:		http://pan.rebelbase.com/
Source:		http://pan.rebelbase.com/download/%{version}/%{name}-%{version}.tar.bz2
Source1:	%{name}-48.xpm.bz2
Source2:	%{name}-32.xpm.bz2
Source3:	%{name}-16.xpm.bz2
Source4:	%{name}-48.png.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gnome-libs-devel, gettext-devel
BuildRequires: gnome-print-devel libgtkhtml15-devel libunicode-devel libgal11-devel
Requires:	gnome-print

%description

This is version %{version} of PAN, a powerful and user-friendly USENET
newsreader for GNOME.  The latest info and versions of Pan can always
be found at http://pan.rebelbase.com/.

This is beta software, so don't expect everything to work
correctly or even at all.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}


%build
%configure --enable-html

%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%{find_lang} %{name}

# Menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" needs="X11" \
icon="%{name}.xpm" section="Networking/News" \
title="Pan" longtitle="Pan Usenet Newsreader for Gnome"
EOF

#icon
install -d $RPM_BUILD_ROOT/%{_iconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
install -d $RPM_BUILD_ROOT/%{_miconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.xpm
# png is anti-aliased when put on the gnome panel
bzcat %{SOURCE4} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog AUTHORS TODO COPYING CREDITS
%attr(755,root,root) %{_bindir}/%{name}
%{_menudir}/%{name}
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.xpm
%{_datadir}/gnome/apps/Internet/%{name}.desktop
%{_datadir}/pixmaps/*

%clean
rm -r $RPM_BUILD_ROOT

%changelog
* Fri Sep 14 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.10.0-5mdk
- rebuild including latest translations

* Thu Aug 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.0-4mdk
- Recompiled against libgtkhtml15

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.0-3mdk
- Fix description

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.0-2mdk
- Recompiled against libgal11

* Fri Aug 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.0-1mdk
- Release 0.10.0
- Parallel compilation is back

* Fri Aug 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.7-4mdk
- Recompiled against latest gtkhtml/gal

* Wed Jul 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.7-3mdk
- Recompiled against latest gtkhtml/gal

* Thu Jun 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.7-2mdk
- Recompiled against latest gtkhtml/gal

* Fri Jun  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.7-1mdk
- Release 0.9.7
- Disable parallel compilation (broken)

* Fri May 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.6-2mdk
- Recompiled against latest gtkhtml

* Tue Mar 27 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.6-1mdk
- new version

* Mon Mar 12 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.5-1mdk
- new version
- added libunicode-devel and libgal-devel buildrequires

* Mon Feb 26 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.4-1mdk
- new version

* Mon Feb 12 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.3-1mdk
- new version 0.9.3
- updated urls

* Mon Dec  4 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.2-1mdk
- new version
- readded .desktop
- added pixmaps

* Mon Oct 23 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.1-1mdk
- new version 0.9.1 (donesn't need libunicode anymore)

* Thu Oct 12 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9-1mdk
- 0.9 version

* Tue Oct 03 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.8.1-0.7mdk
- new version (beta 6) with bug fixes and new features

* Fri Sep 15 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.8.1-0.6mdk
- new version (beta 5) with more bug fixes

* Tue Sep 12 2000  Renaud Chaillat <rchaillat@mandrakesoft.com> 0.8.1-0.5mdk
- new version (beta 4) with many bug fixes

* Tue Aug 29 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.8.1-0.4mdk
- turned icons into xpm
- added packager entry

* Thu Aug 24 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.8.1-0.3mdk
- new version (beta 3)
- menu entry inside spec file
- further macroszification
- changed locales handling (uses macros)
- added icons

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.8.1-0.2mdk
- automatically added BuildRequires


* Wed Jul 12 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.1-0.1mdk
- new release
- use new macros
- add more locales

* Wed Jun 28 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.0-1mdk
- new release
- use new chmou tools
- add a serial because of beta in version

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 0.8.0beta2-1mdk
- Updated to 0.8.0beta2

* Sun Feb 27 2000 Giuseppe Ghib <ghibo@mandrakesoft.com>
- updated to version 0.7.6.
- added BuildPreReq things.

* Fri Feb 11 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- v 0.7.5

* Tue Feb 08 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- v 0.7.4

* Mon Dec 06 1999 Lenny Cartier <lenny@mandrakesoft.com>
- v 0.6.5
- fix location of files
- added CFLAGS en CXXFLAGS

* Wed Dec 1 1999 Charles Kerr <charles@skywalker.ecn.ou.edu>
- added "-ggdb3" to CFLAGS so that it'll be easier to read backtraces
  submitted in bug reports

* Thu Nov 4 1999 Jason Leach <leach@wam.umd.edu>
- added gtk+-1.2.6 requirement (1.2.3 definitely breaks, might as well
  make it newest gtk+)

* Tue Nov 2 1999 Jason Leach <leach@wam.umd.edu>
- made .spec.in file to auto-generate .spec

* Sat Sep 25 1999 Leland Elie <lelie@airmail.net>
- created spec file.
